Loading...
Searching...
No Matches
Fraction.h File Reference

Header file for Fraction class. More...

`#include <string>`
`#include <utility>`
`#include <map>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | openshot::Fraction
| This class represents a fraction. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Functions

template<class numT>
numT | openshot::operator* (const numT &left, const openshot::Fraction &right)
| Multiplication in the form (numeric_value * openshot_Fraction).
template<class numT>
numT | openshot::operator/ (const numT &left, const openshot::Fraction &right)
| Division in the form (numeric_value / openshot_Fraction).
template<class charT, class traits>
std::basic_ostream< charT, traits > & | openshot::operator<< (std::basic_ostream< charT, traits > &o, const openshot::Fraction &frac)

## Detailed Description

Header file for Fraction class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file Fraction.h.